#pragma hdrstop
#include "myCV.h"
#pragma package(smart_init)

void mycvGetImage(TImage *bimg, IplImage *iimg){
  byte *ptr;
  long int datastep=iimg->widthStep;
  long int height=iimg->height;
  char *rawdata=iimg->imageDataOrigin;
  for(int y=0; y<height; y++){
    ptr = (byte *) bimg->Picture->Bitmap->ScanLine[y];
    long int adr=(height-1-y)*datastep;
    memcpy(rawdata+adr,ptr,datastep);
  };
};

void mycvShowImage(TImage *bimg, IplImage *iimg){
  byte *ptr;
  long int datastep=iimg->widthStep;
  long int height=iimg->height;
  char *rawdata=iimg->imageDataOrigin;
  for(int y=0; y<height; y++){
    ptr = (byte *) bimg->Picture->Bitmap->ScanLine[y];
    long int adr=(height-1-y)*datastep;
    memcpy(ptr,rawdata+adr,datastep);
  };
  bimg->Canvas->Pixels[0][0]=0;
};
